import { HttpClient, HttpHeaders } from '@angular/common/http';
import { AuthService } from './auth.service';
import { Configurations } from '../configurations';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AssessmentService {
    private http;
    private authService;
    env: any;
    baseValue: any;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    updateAssessment(id: string, payload: any): Observable<any>;
    addAssessment(payload: any): Observable<any>;
    private categories;
    categoriesListData$: Observable<any>;
    private categoriesLoader;
    categoriesLoading$: Observable<boolean>;
    fetchCategory(payload: any): void;
    resetCategory(): void;
    getAssessmentDetails(id: string): Observable<Object>;
    httpOptions: {
        headers: HttpHeaders;
    };
    getAuthorizationToken(): any;
    createAssessment(payload: any): Observable<Object>;
    saveAssessmentDetails(id: any, payload: any): Observable<Object>;
    downloadTemplate(): Observable<any>;
    downLoadFile(data: any, type: string, filename: string): string;
    base64ToArrayBuffer(base64: any): ArrayBufferLike;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssessmentService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AssessmentService>;
}
